aboutsummaryrefslogtreecommitdiff
path: root/debian/nxagent.postinst.in
diff options
context:
space:
mode:
Diffstat (limited to 'debian/nxagent.postinst.in')
-rwxr-xr-xdebian/nxagent.postinst.in56
1 files changed, 56 insertions, 0 deletions
diff --git a/debian/nxagent.postinst.in b/debian/nxagent.postinst.in
new file mode 100755
index 000000000..4ad52a525
--- /dev/null
+++ b/debian/nxagent.postinst.in
@@ -0,0 +1,56 @@
+#!/bin/sh
+# postinst script for nxagent
+#
+# see: dh_installdeb(1)
+
+set -e
+
+# summary of how this script can be called:
+# * <postinst> `configure' <most-recently-configured-version>
+# * <old-postinst> `abort-upgrade' <new version>
+# * <conflictor's-postinst> `abort-remove' `in-favour' <package>
+# <new-version>
+# * <postinst> `abort-remove'
+# * <deconfigured's-postinst> `abort-deconfigure' `in-favour'
+# <failed-install-package> <version> `removing'
+# <conflicting-package> <version>
+# for details, see http://www.debian.org/doc/debian-policy/ or
+# the debian-policy package
+
+
+case "$1" in
+ configure)
+ ### FIXME: this is a work-around while we have not implemented
+ ### multiarch support into the Debian source package of
+ ### nx-libs.
+
+ libdir=/usr/lib/#DEB_BUILD_MULTIARCH#
+
+ # Already existent files are not removed.
+ # Users will need to explicitly remove them and (re-) configure this package.
+ if test -e $libdir/libX11.so.6; then
+ ln -sf $libdir/libX11.so.6 /usr/lib/nx/X11/Xinerama/libNX_X11.so.6
+ fi
+ if test -e $libdir/libXext.so.6; then
+ ln -sf $libdir/libXext.so.6 /usr/lib/nx/X11/Xinerama/libNX_Xext.so.6
+ fi
+ if test -e $libdir/libNX_Xinerama.so.1; then
+ ln -sf $libdir/libNX_Xinerama.so.1 /usr/lib/nx/X11/Xinerama/libXinerama.so.1
+ fi
+ ;;
+
+ abort-upgrade|abort-remove|abort-deconfigure)
+ ;;
+
+ *)
+ echo "postinst called with unknown argument \`$1'" >&2
+ exit 1
+ ;;
+esac
+
+# dh_installdeb will replace this with shell code automatically
+# generated by other debhelper scripts.
+
+#DEBHELPER#
+
+exit 0